//index.js 

import Vue from 'vue';
import ArticleIcon from './ArticleIcon.vue';
import ArticleTextViewer from './ArticleTextViewer.vue';

const Components = {
    ArticleIcon,
    ArticleTextViewer,
};

Object.keys(Components).forEach(name => {
  Vue.component(name, Components[name]);
});

export default Components;